<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zjrs.zwnw.dbgl.entity.DbxmGzqdMapper">

    <select id="getDbxmGzqdByqdidList" resultType="com.zjrs.zwnw.dbgl.po.RsdbgldbxmgzqdPO" parameterType="String">
        SELECT a.rs_dbgl_dbxm_gzqd_lsh as "rsdbgldbxmgzqdlsh"
        FROM v_RS_DBGL_DBXM_GZQD a
        where exists
            (select 1 from V_RS_DBGL_DBRW_YX b, V_RS_DBGL_DBXM_YX c, V_RS_DBGL_GZQD_YX d
            where b.RS_DBGL_DBRW_LSH = c.RS_DBGL_DBRW_LSH
            and c.RS_DBGL_DBXM_LSH = a.RS_DBGL_DBXM_LSH
            and d.RS_DBGL_GZQD_LSH = a.RS_DBGL_GZQD_LSH
            and d.RS_DBGL_GZQD_LSH = #{id})
    </select>

</mapper>
